Page MenuHomeFreeBSD

Update www/mod_fastcgi to 2.4.7.1 and switch to GitHub
ClosedPublic

Authored by joneum on Dec 7 2018, 2:25 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 5, 8:13 PM
Unknown Object (File)
Fri, Jul 5, 6:55 AM
Unknown Object (File)
Fri, Jul 5, 2:31 AM
Unknown Object (File)
Fri, Jul 5, 12:30 AM
Unknown Object (File)
Mon, Jun 17, 2:17 PM
Unknown Object (File)
Jun 14 2024, 8:38 PM
Unknown Object (File)
Jun 14 2024, 8:37 PM
Unknown Object (File)
Jun 14 2024, 8:37 PM
Subscribers

Details

Summary

www:mod_fastcgi: Update to 2.4.7.1

The website of fastcgi has been down for a long time.
The project is now in a GitHub archive: https://github.com/FastCGI-Archives

Also switch to GitHub with www/mod_fastcgi

Changelog:
*) cast from pointer to integer of different size fix
*) fix prinf %d warning
*) .cvsignore to .gitignore
*) apache 2.4 compile fix

  • While I am here, use "make makepatch" for the patches in /files

With hat: apache
Approved by:

Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 21427
Build 20749: arc lint + arc unit

Event Timeline

joneum added inline comments.
www/mod_fastcgi/Makefile
6

ups. to forget to deleted. It will of course be deleted before the commit

I think we should mark this port as DEPRECATED.
The mod_proxy_fcgi module is part of the www/apache24 port.

www/mod_fastcgi/Makefile
11

remove 2.2 or update to 2.4

This revision is now accepted and ready to land.Dec 12 2018, 7:48 PM
This revision was automatically updated to reflect the committed changes.